package api

import (
	"3dshow-customer/db/repo"

	"github.com/gin-gonic/gin"
)

func Supply(r *GinRouter) {

	// CreateCRUD(r, "/supply", &CRUDOption{
	// 	Collection: repo.CollectionSupply,
	// 	NewModel: func(c *gin.Context, _ *ApiSession) (interface{}, error) {
	// 		entity := &model.Supply{}
	// 		c.ShouldBindJSON(entity)
	// 		return entity, nil
	// 	},
	// 	EmtyModel: func(c *gin.Context, apictx *ApiSession) interface{} {
	// 		return &model.Supply{}
	// 	},
	// 	JWT:           true,
	// 	SearchProject: []string{"name", "avatar", "contact", "createTime"},
	// 	DetailProject: []string{"name", "avatar", "contact", "createTime"},
	// })

	r.GET("/supply/list", supplyList)
}

func supplyList(c *gin.Context, apictx *ApiSession) (interface{}, error) {
	page, size, query := UtilQueryPageSize(c)
	return repo.RepoPageSearch(apictx.CreateRepoCtx(), &repo.PageSearchOptions{
		Db:          "supply-user",
		CollectName: "users",
		Page:        page,
		Size:        size,
		Query:       query,
		Project:     []string{"_id", "name", "avatar", "email"},
		Sort:        repo.Map{"createTime": -1},
	})

}
